Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 2837873002: Finch kill switch feature for background tab. (Closed)

Created:
2 years, 6 months ago by mattcary
Modified:
2 years, 6 months ago
Reviewers:
Benoit L
CC:
chromium-reviews, lizeb+watch-custom-tabs_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Finch kill switch feature for background tab. Adds the CCTBackgroundTab (ChromeFeatureList::CCT_BACKGROUND_TAB) feature which is enabled by default. BUG=708173 Review-Url: https://codereview.chromium.org/2837873002 Cr-Commit-Position: refs/heads/master@{#467281} Committed: https://chromium.googlesource.com/chromium/src/+/d9b19c661ed366be0c901cc45257160986bab530

Patch Set 1 #

Total comments: 1

Patch Set 2 : Use command-line arg changer #

Patch Set 3 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+32 lines, -2 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/ChromeFeatureList.java View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/customtabs/CustomTabsConnection.java View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/customtabs/CustomTabActivityTest.java View 1 2 chunks +22 lines, -2 lines 0 comments Download
M chrome/browser/android/chrome_feature_list.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/android/chrome_feature_list.cc View 1 2 2 chunks +4 lines, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 16 (8 generated)
mattcary
Benoit-- Here's the kill-switch CL. Note that I've started a conversation about apparent ChromeFeatureList owners ...
2 years, 6 months ago (2017-04-24 15:45:52 UTC) #2
Benoit L
Thanks! lgtm https://codereview.chromium.org/2837873002/diff/1/chrome/android/javatests/src/org/chromium/chrome/browser/customtabs/CustomTabActivityTest.java File chrome/android/javatests/src/org/chromium/chrome/browser/customtabs/CustomTabActivityTest.java (right): https://codereview.chromium.org/2837873002/diff/1/chrome/android/javatests/src/org/chromium/chrome/browser/customtabs/CustomTabActivityTest.java#newcode1829 chrome/android/javatests/src/org/chromium/chrome/browser/customtabs/CustomTabActivityTest.java:1829: ChromeFeatureList.setTestFeatures(features); Should this be reset in a ...
2 years, 6 months ago (2017-04-24 16:18:00 UTC) #3
mattcary
I just realized that this is using base::feature_list.h, and that we should be using a ...
2 years, 6 months ago (2017-04-24 16:33:43 UTC) #4
mattcary
Updated to use command line changer which solves all sorts of problems. Also resolved my ...
2 years, 6 months ago (2017-04-25 14:48:12 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2837873002/20001
2 years, 6 months ago (2017-04-26 08:39:08 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/255520) chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, ...
2 years, 6 months ago (2017-04-26 08:42:01 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2837873002/40001
2 years, 6 months ago (2017-04-26 08:51:49 UTC) #13
commit-bot: I haz the power
2 years, 6 months ago (2017-04-26 09:30:30 UTC) #16
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/d9b19c661ed366be0c901cc45257...

Powered by Google App Engine
This is Rietveld 408576698